Page MenuHomePhabricator

Adapt red links on the translation - part 2
Closed, ResolvedPublic

Description

Context
Links on the source that do not exist on the target language are just added to the translation as plain text. We could better indicate such circumstance and allow users to decide whether to keep them as red-links, or plain text.

Narrative
As a user, I can keep source links as red links, so that they will become blue links when the lacking article is created.

Acceptance Criteria

  1. When there are links that cannot be adapted, a warning indicator will appear at the bottom of the tools panel:
    1. The indicator will show the number of links that could not be adapted.
    2. Once the user licks on the indicator, a panel will provide more details and options:
      1. The number of links not adapted for the whole document is shown with an option to mark all of them as missing links.
      2. The number of missing links is shown
      3. An option to mark links automatically is provided.
    3. The first time a warning of this kind exists, the background of the warning indicator will be yellow. Once it is open for the first time, it will become gray again.
    4. The warning indicators are global and should be visible all the time, independently of the current user selection (they should not temporarily or permanently disappear unless the warning condition gets solved).
    5. Note that these kind of warning is a pattern we will use for other kinds of warnings (it should be easy to add new kinds).
  2. The generated red link contains an annotation to keep the Wikidata ID it refers to. that will allow us to suggest users to translate those articles when users encounter a red link (otherwise it is hard to determine to which article a red link corresponds to).

Design Notes
The UI suggests the user to mark as missing links those that could not be adapted:

Once a red link is created, an option is provided to revert it. In addition, it can be used as an entry point to create a new translation:

Warning indicators at the bottom, provides awareness of different issues and options to deal with them:

Event Timeline

Arrbee created this task.Dec 10 2014, 11:54 AM
Arrbee assigned this task to Jsahleen.
Arrbee raised the priority of this task from to Needs Triage.
Arrbee updated the task description. (Show Details)
Arrbee changed Security from none to None.
Arrbee added subscribers: Aklapper, Arrbee.
Arrbee updated the task description. (Show Details)Dec 10 2014, 11:58 AM
Amire80 triaged this task as Normal priority.Dec 11 2014, 8:37 AM
Jsahleen removed Jsahleen as the assignee of this task.Jan 7 2015, 2:56 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 3 2015, 3:39 PM
Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 5:27 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 19 2015, 9:24 AM
Arrbee moved this task from Bugs to Enhancements on the ContentTranslation board.Jun 22 2018, 1:36 PM
Pginer-WMF closed this task as Resolved.Jun 10 2019, 2:45 PM
Pginer-WMF claimed this task.
Pginer-WMF added a subscriber: Pginer-WMF.

Content translation supports red links, and specific improvements are captured in specific tickets (T197787)